×

INDI Library v1.9.1 Released (26 Jun 2021)

Bi-monthly INDI Library v1.9.1 is released bringing a few new drivers and improvements to existing drivers.

AstroPi3 Scripts revised

  • Posts: 71
  • Thank you received: 8
Had an error in the terminal that I saw that I wanted to make sure you knew about. Didn't seem to bother anything but hey, an error is an error.

Raspbian for pi4

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
~ Checking items that will require your input while running the script, so you don't get asked so many questions later. Note that some installations later (VNC, samba in particular) may still require your input later on, this is out of my control.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

ls: cannot access '/etc/NetworkManager/system-connections/': No such file or directory
1 year 8 months ago #45465

Please Log in or Create an account to join the conversation.

  • Posts: 2499
  • Thank you received: 670
Thanks! That one is just fine though. That file shouldn't exist yet if this is a fresh raspbian system. The check for that particular folder will only be needed later if you run the script again and the file does exist.
1 year 8 months ago #45466

Please Log in or Create an account to join the conversation.

  • Posts: 2499
  • Thank you received: 670
Ok I revised it so that the error message should not appear anymore if the folder doesn't exist.
1 year 8 months ago #45472

Please Log in or Create an account to join the conversation.

  • Posts: 71
  • Thank you received: 8
Just curious and I know I could literally install this and look for myself .. but was curious if you happen to have ASTAP support installed and configured with this script? I don't see it in the notes.

Is that something you might be interested in adding if you haven't already?

Thanks!
1 year 8 months ago #45477

Please Log in or Create an account to join the conversation.

  • Posts: 2499
  • Thank you received: 670
Not yet but that is easy enough to add
The following user(s) said Thank You: Micheal Fields
1 year 8 months ago #45483

Please Log in or Create an account to join the conversation.

  • Posts: 2
  • Thank you received: 0
Hi,
I ran the Raspbian script on my new Pi4 and it worked fine. I can connect to all my devices and control them properly.
Only issue I detected is that the "Skywatcher Synscan Legacy" driver for my mount is not visible via INDI Web Manager and can't be connected remotely.
Local on the PI4 it is visible and working.
Any idea?
Thx for the great work - clear skies :-)
1 year 8 months ago #45561

Please Log in or Create an account to join the conversation.

  • Posts: 2499
  • Thank you received: 670
That could have something to do with the fact that you might still be using KStars 3.3.6 on your client machine, I'm not sure. In a couple of days, you should have 3.3.7 and then maybe it will be fixed.
1 year 8 months ago #45577

Please Log in or Create an account to join the conversation.

  • Posts: 2
  • Thank you received: 0
Thx, I checked your hint…
Even if I use the INDI Web Manager App on the PI4 and connect to the local drivers, the "Synscan Legacy" Driver is not listed - see attachment #1
If I use KStars 3.3.7 on the PI4, it is displayed - see attachment #2
I also checked some other mount drivers and I noticed some differences e.g. Celestron CGEM and AVX drivers not listed in WebManager, but in KStars!?
Why is there a mismatch between Web Manager and KStars app?
1 year 8 months ago #45593
Attachments:

Please Log in or Create an account to join the conversation.

  • Posts: 2499
  • Thank you received: 670
It is possible that Jasem might need to update INDI web. Let me check with him.
1 year 8 months ago #45595

Please Log in or Create an account to join the conversation.

  • Posts: 71
  • Thank you received: 8
I am starting from scratch with a clean install of ubuntu 18.04 on my fanless mini-pc with intel processor.

Which script is best for me to use to setup?

Thank you.
1 year 8 months ago #45759

Please Log in or Create an account to join the conversation.

  • Posts: 2499
  • Thank you received: 670
setupUbuntuSBC.sh is the one that is designed for that.
1 year 8 months ago #45764

Please Log in or Create an account to join the conversation.

  • Posts: 71
  • Thank you received: 8
Just to confirm, I do not have -Mate version. Just standard Ubuntu. Will it break or am I required to install mate desktop first? I am not really a fan of mate desktop so I am trying to avoid that. Thank you
1 year 8 months ago #45766

Please Log in or Create an account to join the conversation.

Time to create page: 0.960 seconds